OnACTIVATE=function(bActive){
	static_shadow_active.ShowCtrl(bActive);
}

OnInitSkin=function(){
	RefreshView(false);
	var sztext=edit_search.GetText();
				if(sztext.length!=0){
					text_search_title.Show(false);
				}
				else{
					text_search_title.Show(true);
				}
				box_search.Show(false);
}

OnCommand=function(cmdObj){
	if(cmdObj.cmd.toLowerCase()=="edit_search"){
		if (cmdObj.code=="NOTIFY_FOCUSCHANGED"){
			if(cmdObj.focus){
				text_search_title.Show(false);
				box_search.Show(true);
				check_search.check(true);
			}
			else{
				var sztext=edit_search.GetText();
				if(sztext.length!=0){
					text_search_title.Show(false);
				}
				else{
					text_search_title.Show(true);
				}
				if(box_search.HasFocus()==false){
						box_search.Show(false);
						check_search.check(false);
			  }
			}
		}
	}
	else if(cmdObj.cmd.toLowerCase()=="check_search"){
		if(cmdObj.bChangedMsg==false){
			box_search.Show(check_search.IsCheck());
			box_search.SetFocus();
		}
	}
	else if(cmdObj.cmd.toLowerCase()=="btn_search"){
				if(cmdObj.code=="NOTIFY_DOWNBTN"){
					box_search.Show(true);	
					check_search.check(true);
				}
	}
	else if(cmdObj.cmd.toLowerCase()=="box_search"){
		if (cmdObj.code=="NOTIFY_FOCUSCHANGED"){
			if(cmdObj.focus){
				var sztext=edit_search.GetText();
				if(sztext.length!=0){
					text_search_title.Show(false);
				}
				else{
					text_search_title.Show(true);
				}
			}
			else{
				if(Edit_search.HasFocus()==false){ 
						box_search.Show(false);
						check_search.check(false);
			  }
			}
		}
	}
}